-- FDSE: D Flip-Flop with Clock Enable and Synchronous Set
--       Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

FDSE_inst : FDSE
generic map (
   INIT => '1',          -- Initial value of register, '0', '1'
   -- Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   IS_C_INVERTED => '0', -- Optional inversion for C
   IS_D_INVERTED => '0', -- Optional inversion for D
   IS_S_INVERTED => '0'  -- Optional inversion for S
)
port map (
   Q => Q,   -- 1-bit output: Data
   C => C,   -- 1-bit input: Clock
   CE => CE, -- 1-bit input: Clock enable
   D => D,   -- 1-bit input: Data
   S => S    -- 1-bit input: Synchronous set
);

-- End of FDSE_inst instantiation
