-- ODELAYE5: Output Delay Element
--           Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

ODELAYE5_inst : ODELAYE5
generic map (
   CASCADE => "FALSE",     -- Cascade setting (FALSE, TRUE)
   IS_CLK_INVERTED => '0', -- Optional inversion for CLK
   IS_RST_INVERTED => '0'  -- Optional inversion for RST
)
port map (
   CNTVALUEOUT => CNTVALUEOUT, -- 5-bit output: Counter value output
   DATAOUT => DATAOUT,         -- 1-bit output: Delayed data
   TDATAOUT => TDATAOUT,       -- 1-bit output: Delayed tristate
   CASC_IN => CASC_IN,         -- 1-bit input: Cascade delay from IDELAYE5 output cascade
   CE => CE,                   -- 1-bit input: Active-High enable increment/decrement input
   CLK => CLK,                 -- 1-bit input: Clock Input
   CNTVALUEIN => CNTVALUEIN,   -- 5-bit input: Counter value input
   INC => INC,                 -- 1-bit input: Increment / Decrement tap delay input
   LOAD => LOAD,               -- 1-bit input: Load CNTVALUEIN
   ODATAIN => ODATAIN,         -- 1-bit input: Data input
   RST => RST,                 -- 1-bit input: Asynchronous Reset
   TDATAIN => TDATAIN          -- 1-bit input: Tristate input
);

-- End of ODELAYE5_inst instantiation
