-- BUFGCE: General Clock Buffer with Clock Enable
--         Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

BUFGCE_inst : BUFGCE
generic map (
   CE_TYPE => "SYNC",              -- ASYNC, HARDSYNC, SYNC
   IS_CE_INVERTED => '0',          -- Programmable inversion on CE
   IS_I_INVERTED => '0',           -- Programmable inversion on I
   SIM_DEVICE => "VERSAL_AI_CORE"  -- VERSAL_AI_CORE, VERSAL_AI_CORE_ES1
)
port map (
   O => O,   -- 1-bit output: Buffer
   CE => CE, -- 1-bit input: Buffer enable
   I => I    -- 1-bit input: Buffer
);

-- End of BUFGCE_inst instantiation
