-- IOBUFDS_DIFF_OUT: Differential Input/Output Buffer Primitive With Complementary Outputs for the Input Buffer
--                   Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

IOBUFDS_DIFF_OUT_inst : IOBUFDS_DIFF_OUT
port map (
   O => O,     -- 1-bit output: Buffer diff_p output
   OB => OB,   -- 1-bit output: Buffer diff_n output
   I => I,     -- 1-bit input: Buffer input
   IO => IO,   -- 1-bit inout: Diff_p inout (connect directly to top-level port)
   IOB => IOB, -- 1-bit inout: Diff_n inout (connect directly to top-level port)
   TM => TM,   -- 1-bit input: 3-state master enable input
   TS => TS    -- 1-bit input: 3-state slave enable input
);

-- End of IOBUFDS_DIFF_OUT_inst instantiation
