-- LDCE: Transparent Latch with Clock Enable and Asynchronous Clear
--       Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

LDCE_inst : LDCE
generic map (
   INIT => '0',            -- Initial value of latch, '0', '1'
   -- Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   IS_CLR_INVERTED => '0', -- Optional inversion for CLR
   IS_G_INVERTED => '0'    -- Optional inversion for G
)
port map (
   Q => Q,     -- 1-bit output: Data
   CLR => CLR, -- 1-bit input: Asynchronous clear
   D => D,     -- 1-bit input: Data
   G => G,     -- 1-bit input: Gate
   GE => GE    -- 1-bit input: Gate enable
);

-- End of LDCE_inst instantiation
