-- LOOKAHEAD8: Carry Look-Ahead Multiplexer
--             Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

LOOKAHEAD8_inst : LOOKAHEAD8
generic map (
   LOOKB => "FALSE", -- (FALSE, TRUE)
   LOOKD => "FALSE", -- (FALSE, TRUE)
   LOOKF => "FALSE", -- (FALSE, TRUE)
   LOOKH => "FALSE"  -- (FALSE, TRUE)
)
port map (
   COUTB => COUTB, -- 1-bit output: Output of Carry Look-Ahead mux
   COUTD => COUTD, -- 1-bit output: Output of Carry Look-Ahead mux
   COUTF => COUTF, -- 1-bit output: Output of Carry Look-Ahead mux
   COUTH => COUTH, -- 1-bit output: Output of Carry Look-Ahead mux
   CIN => CIN,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYA => CYA,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYB => CYB,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYC => CYC,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYD => CYD,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYE => CYE,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYF => CYF,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYG => CYG,     -- 1-bit input: Input of Carry Look-Ahead mux
   CYH => CYH,     -- 1-bit input: Input of Carry Look-Ahead mux
   PROPA => PROPA, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPB => PROPB, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPC => PROPC, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPD => PROPD, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPE => PROPE, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPF => PROPF, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPG => PROPG, -- 1-bit input: Input of Carry Look-Ahead mux
   PROPH => PROPH  -- 1-bit input: Input of Carry Look-Ahead mux
);

-- End of LOOKAHEAD8_inst instantiation
