-- MBUFG_PS: A Multi-Output high-fanout buffer for low-skew distribution of the PS Clock signals
--           Versal AI Core series
-- Xilinx HDL Language Template, version 2023.2

MBUFG_PS_inst : MBUFG_PS
generic map (
   MODE => "PERFORMANCE"  -- PERFORMANCE, POWER
)
port map (
   O1 => O1,               -- 1-bit output: Buffer
   O2 => O2,               -- 1-bit output: Buffer
   O3 => O3,               -- 1-bit output: Buffer
   O4 => O4,               -- 1-bit output: Buffer
   CLRB_LEAF => CLRB_LEAF, -- 1-bit input: Active low clear
   I => I                  -- 1-bit input: Clock buffer input
);

-- End of MBUFG_PS_inst instantiation
